## cube2font 1.2

=== debian/changelog ===
cube2font (1.2-2) unstable; urgency=low

  * Fix build-dependencies
    - Add libfreetype6-dev, fixes Ubuntu FTBFS
    - Remove superfluous SDL depends and add just libpng-dev

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Tue, 14 Feb 2012 02:01:14 +0100

cube2font (1.2-1) unstable; urgency=low

  * Initial release (Closes: #651567)
    - Built from a subset of the Red Eclipse source
  * Added debian/patches/build-with-debug-symbols.patch

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Tue, 20 Dec 2011 18:55:11 +0100
