=== debian/watch ===
version=3
http://sf.net/redeclipse/redeclipse_([0-9\.]+)_linux_bsd\.tar\.bz2
