## cube2font 1.3.1

=== debian/changelog ===
cube2font (1.3.1-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:18:05 +0000

cube2font (1.3.1-2) unstable; urgency=low

  * Upload to unstable
  * Drop dpkg Pre-Depends (upgrades from old Ubuntu versions not relevant)
  * Standards-Version 3.9.4 (no changes)

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 11 May 2013 12:11:52 +0200

cube2font (1.3.1-1) experimental; urgency=low

  * New upstream release
  * dh compat level 9
  * zlib1g-dev build-dep replaces libpng-dev
  * Enable dpkg-buildflags
  * Use xz orig tarball compression
  * Standards-Version 3.9.3
    - Set final DEP-3 Format: link
  * Added debian/patches/makefile-install.patch
    - Fix for broken make install target

 -- Martin Erik Werner <martinerikwerner@gmail.com>  Sat, 01 Sep 2012 21:12:16 +0200
