=== debian/control ===
Source: cube2font
Section: graphics
Priority: optional
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), libfreetype6-dev, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.redeclipse.net
Vcs-Git: git://git.debian.org/pkg-games/cube2font.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/cube2font.git;a=summary

Package: cube2font
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility program for creating font bitmaps for Cube Engine games
 cube2font is a utility program designed to create font bitmaps for Cube
 Engine games, it works by taking a Truetype font and building it into a
 set of coordinates in an image. cube2font is an improved version of the
 previous TTF2Font, supporting a much larger range of characters.

Package: cube2font-dbg
Section: debug
Architecture: any
Priority: extra
Depends: cube2font (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for cube2font
 This package contains the debugging symbols for the font bitmap creation tool
 cube2font.
