=== debian/changelog ===
cube2font (1.5.1-1) unstable; urgency=medium

  * Team upload.

  [ Martin Erik Werner ]
  * New minor upstream release
    - Fixes 0-border behaviour
    - Drop makefile-install.patch
  * Canonicalize VCS-urls
  * Imported Upstream version 1.5.1

  [ Reiner Herrmann ]
  * Point Vcs-* URLs to salsa.
  * Use pkg-config for finding libraries. (Closes: #892330)
  * Replace -dbg package with -dbgsym.
  * Update debhelper to compat level 11.
  * Update URLs in d/copyright.
  * Use https in Homepage field.
  * Bump Standards-Version to 4.2.1.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 19 Oct 2018 19:59:20 +0200
