=== debian/control ===
Source: cube2font
Section: graphics
Priority: optional
Uploaders: Martin Erik Werner <martinerikwerner@gmail.com>
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 11), libfreetype6-dev, pkg-config, zlib1g-dev
Standards-Version: 4.2.1
Homepage: https://www.redeclipse.net
Vcs-Git: https://salsa.debian.org/games-team/cube2font.git
Vcs-Browser: https://salsa.debian.org/games-team/cube2font

Package: cube2font
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility program for creating font bitmaps for Cube Engine games
 cube2font is a utility program designed to create font bitmaps for Cube
 Engine games, it works by taking a Truetype font and building it into a
 set of coordinates in an image. cube2font is an improved version of the
 previous TTF2Font, supporting a much larger range of characters.
