=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/redeclipse-$1\.tar\.gz/ \
  https://github.com/red-eclipse/base/tags .*/v?(\d\S*)\.tar\.gz
